/**
 * 统计分析接口
 */
import request from '@/utils/request'

// 按事件类型统计工单
export function getCaseStatisticsByType(params) {
  return request({
    url: '/caseStatistic/eorcStatistic',
    method: 'get',
    params
  })
}
// 按事件来源统计工单
export function getCaseStatisticsBySource(params) {
  return request({
    url: '/caseStatistic/sourceStatistic',
    method: 'get',
    params
  })
}
// 按满意度统计工单
export function getCaseStatisticsByStatisfied(params) {
  return request({
    url: '/caseStatistic/statisfiedStatistics',
    // url: '/caseStatistic/sourceStatistic',
    method: 'get',
    params
  })
}
// 工单总情况统计
export function getCaseStatisticsAll(params) {
  return request({
    url: '/caseStatistic/stateStatistic',
    method: 'get',
    params
  })
}
// 工单年统计
export function getCaseStatisticsByYear(params) {
  return request({
    url: '/caseStatistic/yearStatistic',
    method: 'get',
    params
  })
}
// 工单月统计
export function getCaseStatisticsByMonth(params) {
  return request({
    url: '/caseStatistic/monthStatistic',
    method: 'get',
    params
  })
}
// 部门效能统计
export function deptStatistics(params) {
  return request({
    url: '/urge/departmentEffectiveStatistics',
    method: 'get',
    params
  })
}
// 部门效能统计
export function seatStatistics(params) {
  return request({
    url: '/urge/departmentEffectiveStatistics',
    // url: '/urge/seatEffectiveStatistics',
    method: 'get',
    params
  })
}
